VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::health::SoftwarepackagesStub Class Reference

Remote stub implementation of the Softwarepackages API service. More...

Inherits vmware::appliance::health::Softwarepackages.

List of all members.

## Public Member Functions
| SoftwarepackagesStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
vmware.appliance.health.SoftwarepackagesTypes.HealthLevel | Get ()
| Get information on available software updates available in remote VUM repository.
vmware.appliance.health.SoftwarepackagesTypes.HealthLevel | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get information on available software updates available in remote VUM repository.
global::System.Threading.Tasks.Task < vmware.appliance.health.SoftwarepackagesTypes.HealthLevel > | GetAsync ()
| Get information on available software updates available in remote VUM repository.
global::System.Threading.Tasks.Task < vmware.appliance.health.SoftwarepackagesTypes.HealthLevel > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Get information on available software updates available in remote VUM repository.

## Detailed Description

Remote stub implementation of the Softwarepackages API service.

## Constructor & Destructor Documentation

vmware::appliance::health::SoftwarepackagesStub::SoftwarepackagesStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

vmware.appliance.health.SoftwarepackagesTypes.HealthLevel vmware::appliance::health::SoftwarepackagesStub::Get | ( |  | ) | `[inline]`

Get information on available software updates available in remote VUM repository.

red indicates that security updates are available. orange indicates that non security updates are available. green indicates that there are no updates available. gray indicates that there was an error retreiving information on software updates.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  software updates available.

Implements vmware::appliance::health::Softwarepackages.

vmware.appliance.health.SoftwarepackagesTypes.HealthLevel vmware::appliance::health::SoftwarepackagesStub::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get information on available software updates available in remote VUM repository.

red indicates that security updates are available. orange indicates that non security updates are available. green indicates that there are no updates available. gray indicates that there was an error retreiving information on software updates.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  software updates available.

Implements vmware::appliance::health::Softwarepackages.

global::System.Threading.Tasks.Task<vmware.appliance.health.SoftwarepackagesTypes.HealthLevel> vmware::appliance::health::SoftwarepackagesStub::GetAsync | ( |  | ) | `[inline]`

Get information on available software updates available in remote VUM repository.

red indicates that security updates are available. orange indicates that non security updates are available. green indicates that there are no updates available. gray indicates that there was an error retreiving information on software updates.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  software updates available.

Implements vmware::appliance::health::Softwarepackages.

global::System.Threading.Tasks.Task<vmware.appliance.health.SoftwarepackagesTypes.HealthLevel> vmware::appliance::health::SoftwarepackagesStub::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Get information on available software updates available in remote VUM repository.

red indicates that security updates are available. orange indicates that non security updates are available. green indicates that there are no updates available. gray indicates that there was an error retreiving information on software updates.

Exceptions:

  vmware.vapi.std.errors.Error | Generic error

Returns:
  software updates available.

Implements vmware::appliance::health::Softwarepackages.

The documentation for this class was generated from the following file:

- SoftwarepackagesStub.cs